## fcitx-dbus-status 2016062301

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-dbus-status)

FIND_PACKAGE(Fcitx 4.2.8 REQUIRED)
PKG_CHECK_MODULES(DBUS "dbus-1>=1.1.0" )

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(HAVE_CONFIG_H)

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories (${FCITX4_FCITX_INCLUDE_DIRS})
include_directories (${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories (${FCITX4_FCITX_UTILS_INCLUDE_DIRS})
include_directories (${DBUS_INCLUDE_DIRS})

set(FCITX_DBUS_STATUS_SOURCES
    dbus-status.cpp)

fcitx_add_addon_full(dbus-status
  SOURCES ${FCITX_DBUS_STATUS_SOURCES})

=== debian/changelog ===
fcitx-dbus-status (2016062301-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112890)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 14:59:24 +0300

fcitx-dbus-status (2016062301-4) unstable; urgency=medium

  * debian/control
    - Bump debhelper to v13
  * debian/salsa-ci.yml
    - Allow reprotest failure temporary
  * debian/rules
    - Remove needless *_MAINT_* flags

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 15 May 2020 16:20:44 +0900

fcitx-dbus-status (2016062301-3) unstable; urgency=medium

  * debian/control
    - Bump compatibility to 12 with removing d/compat.
    - Bump standard-version to 4.5.0.
    - Add Rules-Requires-Root: no.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Fri, 14 Feb 2020 17:40:02 +0900

fcitx-dbus-status (2016062301-2) unstable; urgency=medium

  * Team upload.
  * Rebuild to ensure all packages are built on debian buildd machines.
  * debian/control: Remove trailing slash for Vcs-Browser field.
  * debian/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Sep 2018 15:48:12 -0400

fcitx-dbus-status (2016062301-1) unstable; urgency=medium

  * Initial release (Closes: #908180)

 -- Kentaro Hayashi <hayashi@clear-code.com>  Thu, 06 Sep 2018 11:58:30 +0900

=== debian/control ===
Source: fcitx-dbus-status
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends:
  debhelper-compat (=13),
  cmake,
  fcitx-libs-dev,
  libdbus-1-dev
Standards-Version: 4.5.0
Homepage: https://github.com/clear-code/fcitx-dbus-status
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-dbus-status.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-dbus-status
Rules-Requires-Root: no

Package: fcitx-dbus-status
Architecture: any
Depends:
 fcitx,
 dbus,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Addon for Fcitx to set/get/monitor IM statuses via D-Bus
 fcitx-dbus-status addon provides DBus interface such as
 org.fcitx.Fcitx.Status, and provides Get/Set/Changed methods on it.
 By accessing these interfaces, you can monitor or control status of
 input method with external command line tool such as dbus-send. As a
 typical use case, you can set "katakana" mode in the following
 example for fcitx-mozc.
 .
 dbus-send \
  --dest=org.fcitx.Fcitx \
  --type=method_call \
  --print-reply \
  /Status \
  org.fcitx.Fcitx.Status.Set \
  string:"mozc-composition-mode" \
  string:"katakana"

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+makefile

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/RELEASE-v?(\d\S+)\.tar\.gz/fcitx-dbus-status-$1\.tar\.gz/ \
  https://github.com/clear-code/fcitx-dbus-status/tags .*/RELEASE-v?(\d\S+)\.tar\.gz
